/* RESET */
*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

/* BODY */
body{
  height:100vh;
  display:flex;
  justify-content:center;
  align-items:center;

  font-family: Arial, Helvetica, sans-serif;

  /* 👇 IMAGEN DE FONDO + OVERLAY OSCURO */
  background-image:url("../img/cell-00.jpeg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

/* CONTAINER */
.container{
  display:flex;
  justify-content:center;
  align-items:center;
}

/* BUTTON */
.google-btn{
  display:flex;
  align-items:center;
  gap:14px;

  padding:18px 28px;
  border-radius:16px;

  border:1px solid rgba(255,255,255,0.15);
  background:rgba(255,255,255,0.05);

  backdrop-filter: blur(12px);

  color:#ddd;
  font-size:28px;
  font-weight:500;

  cursor:pointer;

  transition: all 0.3s ease;
}

/* ICON */
.google-btn img{
  width:32px;
  height:32px;
}

/* HOVER */
.google-btn:hover{
  background:rgba(255,255,255,0.15);
  transform:scale(1.05);
}

/* ACTIVE */
.google-btn:active{
  transform:scale(0.97);
}

/*====================*/
.text-wrapper{
  display:flex;
  flex-direction:column; /* 👈 fuerza que esté debajo */
}

.main-text{
  font-size:28px;
}

.sub-text{
  font-size:12px;
  color: black;
  margin-top:4px;
}

/* DESKTOP */
@media (hover: hover) and (pointer: fine){
  .google-btn:hover{
    background:rgba(255,255,255,0.15);
    transform:scale(1.05);
  }
}

/* MOBILE (tap feedback real) */
@media (hover: none) and (pointer: coarse){
  .google-btn:active{
    background:rgba(255,255,255,0.2);
    transform:scale(0.96);
  }
}